@echo off
cls
echo        --- Cedeq Enterpad utilities installation batch program ---
echo.

rem     * Make sure that we can find the utilities in the current directory
if not exist POS42.EXE goto error1

rem     * Make sure that the user specified a destination path
if %1X==X goto error2

rem     * Make sure the target path exists or can be created
if not exist %1\nul md %1
if not exist %1\nul goto error3

echo Copying files. Please wait...

copy POS42.EXE %1 >nul
copy CHK1.POS %1 >nul
copy CHK2.POS %1 >nul
copy FONCTION.POS %1 >nul
copy WORDE.POS %1 >nul
copy WP51E.POS %1 >nul
copy WP51F.POS %1 >nul
copy LOTUS.POS %1 >nul
copy ACAD.POS %1 >nul
copy DOS.POS %1 >nul
copy MANUAL.TXT %1 >nul
goto end

:error1
echo Error: Invalid program invocation!
echo.
echo Make sure that you invoke INSTALL.BAT in the directory where the
echo Enterpad utilities can be found!
echo.
echo Example: if the Enterpad utilities can be found on drive A:, you should type:
echo A: [enter]
echo INSTALL [path] [enter]
goto end

:error2
echo Error: No destination path specified!
echo.
echo You have to specify the destination path for the Enterpad utilities!
echo Even if the utilities are already in the destination path.
echo.
echo Example:
echo If the Enterpad utilities are or should be copied to C:\ENTERPAD, please type:
echo INSTALL C:\ENTERPAD
goto end

:error3
echo Error: Unable to create destination directory %1
echo.
echo Make sure you enter an existing destination path or a path that can be created!
goto end

:end
